Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.opstatus
Interface OperationalStatusMonitorByObjectsValue

All Superinterfaces:
  AttributeAccess, java.lang.Cloneable, ManagedEntityValue, OperationalStatusMonitorValue, java.io.Serializable, SerializerFactory

All Known Implementing Classes:
  OperationalStatusMonitorByObjectsValueImpl

public interface OperationalStatusMonitorByObjectsValue
extends OperationalStatusMonitorValue

This interface is the value representation of a measurement job that monitor a set of specified attributes on a set of observable object instances.

This interface extends the OperationalStatusMonitorValue interface with a new attribute:

- a list of measurement attributes to monitor.
- a list of observable object instances.

The new attributes, of the value object, are a list of observed object instances that shall be monitored and an optional list of measurement attributes, that identify what is monitored by the measurement job. If the measurement attribute list is omitted, all measurement attributes in the observed object instances will be monitored (scanned). The observable object instances should be of the same type.

Version:
  0.9, 2001-10-25
Author:
  Stefan Aberg
See Also:
  `JVTOperationalStatusMonitorSession`

Field Summary
`static java.lang.String` | `MEASUREMENT_ATTRIBUTES` Constant for attribute measurement attributes.
`static java.lang.String` | `OBSERVED_OBJECTS` Constant for attribute observable object.
`static java.lang.String` | `VALUE_TYPE` Constant that can be used to match what is returned from PerormanceMonitor::getOperationalStatusMonitorTypes().

Fields inherited from interface com.sun.management.oss.pm.opstatus.OperationalStatusMonitorValue
`GRANULARITY_PERIOD, NAME, REPORT_BY_EVENT, REPORT_BY_FILE, REPORT_FORMAT, SCHEDULE, STATE`

Fields inherited from interface com.sun.management.oss.ManagedEntityValue
`KEY`

Method Summary
`javax.management.ObjectName[]` | `getObservedObjects()` Returns a list of observable object distinguished names.
`OperationalStatusAttributeDescriptor` | `makeOperationalStatusAttributeDescriptor()` Creates a new instance of the OperationalStatusAttributeDescriptor interface.
`void` | `setObservedObjects(javax.management.ObjectName[] observedObjects)` Sets the observable object that shall be monitored.

Methods inherited from interface com.sun.management.oss.pm.opstatus.OperationalStatusMonitorValue
`getGranularityPeriod, getName, getOperationalStatusMonitorKey, getReportByEvent, getReportByFile, getReportFormat, getSchedule, getState, makeOperationalStatusMonitorKey, makeReportFormat, makeSchedule, setGranularityPeriod, setName, setOperationalStatusMonitorKey, setReportByEvent, setReportByFile, setReportFormat, setSchedule, setState`

Methods inherited from interface com.sun.management.oss.ManagedEntityValue
`clone, getLastUpdateVersionNumber, getManagedEntityKey, getSettableAttributeNames, makeManagedEntityKey, setLastUpdateVersionNumber, setManagedEntityKey`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Field Detail

### VALUE_TYPE

    public static final java.lang.String VALUE_TYPE

  Constant that can be used to match what is returned from PerormanceMonitor::getOperationalStatusMonitorTypes().

  See Also:
    Constant Field Values

### MEASUREMENT_ATTRIBUTES

    public static final java.lang.String MEASUREMENT_ATTRIBUTES

  Constant for attribute measurement attributes.

  See Also:
    Constant Field Values

### OBSERVED_OBJECTS

    public static final java.lang.String OBSERVED_OBJECTS

  Constant for attribute observable object.

  See Also:
    Constant Field Values

Method Detail

### makeOperationalStatusAttributeDescriptor

    public OperationalStatusAttributeDescriptor makeOperationalStatusAttributeDescriptor()

  Creates a new instance of the OperationalStatusAttributeDescriptor interface.

  Returns:
    OperationalStatusAttributeDescriptor The created object. The object is empty.

### getObservedObjects

    public javax.management.ObjectName[] getObservedObjects()
                                                     throws java.lang.IllegalStateException

  Returns a list of observable object distinguished names.

  Returns:
    javax.management.ObjectName[] List of observable object distinguished names.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `setObservedObjects(javax.management.ObjectName[])`

### setObservedObjects

    public void setObservedObjects(javax.management.ObjectName[] observedObjects)
                            throws java.lang.IllegalArgumentException

  Sets the observable object that shall be monitored.

  The observable objects will be validated when the value object is passed to the operational status monitor bean. Only fully qualified ObjectName instances are accepted (no patterns).

  The supported observable objects can be retrieved by using the OperationalStatusMonitor.getObservableObjects

  Parameters:
    `observedObjects` - List of observable object distinguished names.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `getObservedObjects()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD